import type { _NSDecimalNumber } from "../Foundation/NSDecimalNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { PKPaymentSummaryItemType } from "./PKPaymentSummaryItemType.js";
export declare class _PKPaymentSummaryItem extends _NSObject {
    static alloc(): _PKPaymentSummaryItem;
    static new(): _PKPaymentSummaryItem;
    init(): _PKPaymentSummaryItem;
    static summaryItemWithLabel$amount$(label: _NSString, amount: _NSDecimalNumber): _PKPaymentSummaryItem;
    static summaryItemWithLabel$amount$type$(label: _NSString, amount: _NSDecimalNumber, type: PKPaymentSummaryItemType): _PKPaymentSummaryItem;
    /** A short localized description of the item, e.g. "Tax" or "Gift Card". */
    label(): _NSString;
    setLabel$(value: _NSString): void;
    /**
     * Same currency as the enclosing PKPaymentRequest. Negative values are permitted, for example when redeeming a coupon. An amount is always required unless the summary item's type is set to pending
     */
    amount(): _NSDecimalNumber;
    setAmount$(value: _NSDecimalNumber): void;
    /**
     * Defaults to PKPaymentSummaryItemTypeFinal Set to PKPaymentSummaryItemTypePending if the amount of the item is not known at this time
     */
    type(): PKPaymentSummaryItemType;
    setType$(value: PKPaymentSummaryItemType): void;
}
